Name:           awf
Version:        1.4.0
Release:        3%{?dist}
Group:          Development/Tools
License:        GPLv3+
URL:            https://github.com/valr/awf
Summary:        A tool for previewing GTK2/GTK3 widgets

Source:         https://github.com/valr/awf/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  coreutils findutils bash
BuildRequires:  desktop-file-utils
#BuildRequires:  libappstream-glib
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel >= 2.24.0
BuildRequires:  gtk3-devel >= 3.6.0

Requires:       gtk2 >= 2.24.0
Requires:       gtk3 >= 3.6.0


# https://fedoraproject.org/wiki/Packaging:Scriptlets
# https://fedoraproject.org/wiki/PackagingDrafts/ScriptletSnippets
Requires(post):         coreutils
Requires(postun):       coreutils
Requires(posttrans):    coreutils
# gtk-update-icon-cache
#Requires(post):         gtk-update-icon-cache
Requires(postun):       gtk-update-icon-cache
Requires(posttrans):    gtk-update-icon-cache
# update-mime-database
#Requires(post):         shared-mime-info
#Requires(postun):       shared-mime-info
#Requires(posttrans):    shared-mime-info
# update-desktop-database
Requires(post):         desktop-file-utils
Requires(postun):       desktop-file-utils
#Requires(posttrans):    desktop-file-utils
# glib-compile-schemas
#Requires(post):         glib2
#Requires(postun):       glib2
#Requires(posttrans):    glib2
# ldconfig
#Requires(post):         glibc /sbin/ldconfig
#Requires(postun):       glibc /sbin/ldconfig
#Requires(posttrans):    glibc /sbin/ldconfig


%description
A Widget Factory is a program designed to show a wide range of widgets
on a single window.


%prep
%{autosetup}


%build
./autogen.sh

%{configure}

%{make_build}


%install
%{make_install}

%{__ln_s} "%{name}-gtk3" "%{buildroot}%{_bindir}/%{name}"

find "%{buildroot}" -type f -name '*.la' -exec rm -f {} ';'


%check
/usr/bin/desktop-file-validate "%{buildroot}/%{_datadir}/applications/%{name}.desktop"

#/usr/bin/appstream-util validate-relax --nonet "%{buildroot}%{_metainfodir}/%{name}.appdata.xml"


%post
/bin/touch --no-create "%{_datadir}/icons/hicolor" &> /dev/null || :
#/usr/bin/update-mime-database -n %{_datadir}/mime &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :
#/sbin/ldconfig


%postun
#if [[ "${1}" -eq "0" ]] ; then
#  /usr/bin/glib-compile-schemas "%{_datadir}/glib-2.0/schemas" &> /dev/null || :
#fi
/usr/bin/update-desktop-database &> /dev/null || :
if [[ "${1}" -eq "0" ]] ; then
  /bin/touch --no-create "%{_datadir}/icons/hicolor" &> /dev/null || :
  /usr/bin/gtk-update-icon-cache "%{_datadir}/icons/hicolor" &> /dev/null || :
  #/usr/bin/update-mime-database -n %{_datadir}/mime &>/dev/null || :
fi
#/sbin/ldconfig


%posttrans
#/usr/bin/glib-compile-schemas "%{_datadir}/glib-2.0/schemas" &> /dev/null || :
/usr/bin/gtk-update-icon-cache "%{_datadir}/icons/hicolor" &> /dev/null || :
#update-mime-database -n %{_datadir}/mime &>/dev/null || :


%files
%doc AUTHORS ChangeLog INSTALL NEWS README README.md
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.??g

%changelog
* Sun May 20 2018 Tomasz Tomasik <scx.mail@gmail.com> - 1.4.0-3
- Update requirements
- Rebuilt for EL7

* Sun May 20 2018 Tomasz Tomasik <scx.mail@gmail.com> - 1.4.0-2
- Update requirements
- Rebuilt for EL7

* Sun May 20 2018 Tomasz Tomasik <scx.mail@gmail.com> - 1.4.0-1
- SPEC file cleanups
- Use license macro
- Update requirements
- Add post, postun, posttrans and check sections
- Rebuilt for EL7

* Wed Aug 03 2016 Valère Monseur <valere.monseur@ymail.com> - 1.3.1
- fix issue #5: synchro progress bars between gtk2 and gtk3 versions of awf.
- fix COPYING.
- change desktop category into 'Utilities'

* Sun Jan 26 2014 Valère Monseur <valere.monseur@ymail.com> - 1.3.0
- System and user themes are sorted alphabetically in menus.
- Added a check button to show text of progress bars.
- Added font, color and file chooser buttons.
- Reworked link and switch buttons.
- Added icon in scale button.
- Added level bar in gtk3 version.
- Duplicated the treeview, one with and another without scrollbars.

* Wed Jan 09 2013 Dwight Engen <dengen@engens.com> - 1.2.1
- Initial RPM release.

